ESB-2018.3741 - [Win][Linux][AIX] IBM Watson products: Multiple vulnerabilities 2018-12-03

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2018.3741
               JRE vulnerabilities exist in Watson Explorer
                              3 December 2018

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           IBM Watson Explorer
                   IBM Watson Content Analytics
Publisher:         IBM
Operating System:  AIX
                   Linux variants
                   Windows
Impact/Access:     Increased Privileges   -- Existing Account            
                   Create Arbitrary Files -- Remote with User Interaction
Resolution:        Patch/Upgrade
CVE Names:         CVE-2018-12539 CVE-2018-1656 

Reference:         ESB-2018.3196
                   ESB-2018.2632
                   ESB-2018.2528.2

Original Bulletin: 
   https://www.ibm.com/support/docview.wss?uid=ibm10735313

- --------------------------BEGIN INCLUDED TEXT--------------------

Vulnerabilities exist in Watson Explorer

Security Bulletin

Document information
Software version: 9.0.0, 10.0.0, 11.0.0, 11.0.1, 11.0.2, 12.0.0
Operating system(s): AIX, Linux, Windows
Reference #: 0735313
Modified date: 30 November 2018

Summary

There are multiple vulnerabilities in IBM? Runtime Environment Java? Version 8
and Version 7 used by Watson Explorer and Watson Content Analytics. Watson
Explorer and Watson Content Analytics have addressed the applicable CVEs.

Vulnerability Details

CVEID: CVE-2018-1656
DESCRIPTION: The IBM Java Runtime Environment''s Diagnostic Tooling Framework
for Java (DTFJ) does not protect against path traversal attacks when extracting
compressed dump files.
CVSS Base Score: 7.4
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
144882 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N)

CVEID: CVE-2018-12539
DESCRIPTION: Eclipse OpenJ9 could allow a local attacker to gain elevated
privileges on the system, caused by the failure to restrict the use of Java
Attach API to connect to an Eclipse OpenJ9 or IBM JVM on the same machine and
use Attach API operations to only the process owner. An attacker could exploit
this vulnerability to execute untrusted native code and gain elevated
privileges on the system.
CVSS Base Score: 8.4
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
148389 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)

Affected Products and Versions

These vulnerabilities apply to the following products and versions:

+-----------------------------------------------------------------------------+
|Affected Product               |Affected Versions     |Applicable            |
|                               |                      |Vulnerabilities       |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer Deep       |12.0.0.0, 12.0.1      |CVE-2018-1656         |
|Analytics Edition Foundational |                      |CVE-2018-12539        |
|Components                     |                      |                      |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer Deep       |12.0.0.0, 12.0.1      |CVE-2018-1656         |
|Analytics Edition Analytical   |                      |CVE-2018-12539        |
|Components                     |                      |                      |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer Deep       |12.0.0.0, 12.0.0.1,   |CVE-2018-1656         |
|Analytics Edition oneWEX       |12.0.1                |CVE-2018-12539        |
|-------------------------------+----------------------+----------------------|
|Affected Product               |Affected Versions     |Applicable            |
|                               |                      |Vulnerabilities       |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |11.0.0.0 - 11.0.0.3,  |CVE-2018-1656         |
|Foundational Components        |11.0.1, 11.0.2 -      |CVE-2018-12539        |
|                               |11.0.2.3              |                      |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |10.0.0.0 - 10.0.0.5   |CVE-2018-1656         |
|Foundational Components        |                      |CVE-2018-12539        |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |9.0.0.0 - 9.0.0.0     |CVE-2018-1656         |
|Foundational Components        |                      |CVE-2018-12539        |
|-------------------------------+----------------------+----------------------|
|Affected Product               |Affected Versions     |Applicable            |
|                               |                      |Vulnerabilities       |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |                      |                      |
|Foundational Components        |12.0.0.0, 12.0.1      |CVE-2018-1656         |
|Annotation Administration      |                      |CVE-2018-12539        |
|Console                        |                      |                      |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |11.0 - 11.0.0.3,      |CVE-2018-1656         |
|Foundational Components        |11.0.1, 11.0.2 -      |CVE-2018-12539        |
|Annotation Administration      |11.0.2.3              |                      |
|Console                        |                      |                      |
|-------------------------------+----------------------+----------------------|
|IBM Watson Explorer            |10.0.0.0 - 10.0.0.5   |CVE-2018-1656         |
|Foundational Components        |                      |CVE-2018-12539        |
|Annotation Administration      |                      |                      |
|Console                        |                      |                      |
|-------------------------------+----------------------+----------------------|
|Watson Explorer Analytical     |11.0.0.0 - 11.0.0.3,  |CVE-2018-1656         |
|Components                     |11.0.1, 11.0.2 -      |CVE-2018-12539        |
|                               |11.0.2.3              |                      |
|-------------------------------+----------------------+----------------------|
|Watson Explorer Analytical     |10.0.0.0 - 10.0.0.2   |CVE-2018-1656         |
|Components                     |                      |CVE-2018-12539        |
|-------------------------------+----------------------+----------------------|
|IBM Watson Content Analytics   |3.5.0.0 - 3.5.0.4     |CVE-2018-1656         |
|                               |                      |CVE-2018-12539        |
+-----------------------------------------------------------------------------+

Remediation/Fixes

Follow these steps to upgrade to the required version of IBM Java Runtime.

The table reflects product names at the time the specified versions were
released. To use the links to Fix Central in this table, you must first log in
to the IBM Support Fix Central site at http://www.ibm.com/support/fixcentral/.

+----------------------------------------------------------------------------------------------------+
|              |Affected |Required|                                                                  |
|   Affected   |Versions |IBM Java|                                                                  |
|   Product    |         |Runtim  |                 How to acquire and apply the fix                 |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |12.0.0.0 |JVM 8   |Upgrade to Version 12.0.2.                                        |
|Explorer DAE  |         |SR5 FP20|                                                                  |
|Foundational  |         |or later|See Watson Explorer Version 12.0.1 Foundational Components for    |
|Components    |         |        |download information and instructions.                            |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |12.0.0.0 |JVM 8   |Upgrade to Version 12.0.2.                                        |
|Explorer DAE  |         |SR5 FP20|                                                                  |
|Analytical    |         |or later|See for Watson Explorer Version 12.0.1 Analytical Components      |
|Components    |         |        | download information and instructions.                           |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |12.0.0.0,|JVM 8   |Upgrade to Version 12.0.2.                                        |
|Explorer DAE  |12.0.0.1 |SR5 FP20|                                                                  |
|oneWEX        |         |or later|See for Watson Explorer Version 12.0.1 oneWEX download information|
|              |         |        |and instructions.                                                 |
|--------------+---------+--------+------------------------------------------------------------------|
|Affected      |Affected |Required|How to acquire and apply the fix                                  |
|Product       |Versions |IBM Java|                                                                  |
|              |         |Runtim  |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2.4.                                      |
|Explorer      |11.0.0.3,|SR5 FP20|                                                                  |
|Foundational  |11.0.1,  |or later|See Watson Explorer Version 11.0.2.4 Foundational Components for  |
|Components    |11.0.2 - |        |download information and instructions.                            |
|              |11.0.2.3 |        |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |10.0 -   |JVM 8   | 1. If you have not already installed, install V10.0 Fix Pack 5   |
|Explorer      |10.0.0.5 |SR5 FP20|    (see the Fix Pack download document). If you upgrade to       |
|Foundational  |         |or later|    Version 10.0.0.5 after you update IBM Java Runtime, your      |
|Components    |         |        |    changes are lost and you must repeat the steps.               |
|              |         |        | 2. Download the IBM Java Runtime, Version 8 package for your     |
|              |         |        |    edition (Standard, Enterprise, or Advanced) and operating     |
|              |         |        |    system from Fix Central: interim fix                          |
|              |         |        |    10.0.0.5-WS-WatsonExplorer-<Edition>Foundational-<OS>-8SR5FP20|
|              |         |        |     or later (for example,                                       |
|              |         |        |    10.0.0.5-WS-WatsonExplorer-EEFoundational-Linux-8SR5FP25).    |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java       |
|              |         |        |    Runtime.                                                      |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |9.0 -    |JVM 7.1 | 1. If you have not already installed, install V9.0 Fix Pack 9    |
|Explorer      |9.0.0.9  |SR4 FP30|    (see the Fix Pack download document). If you upgrade to       |
|              |         |or later|    Version 9.0.0.9 after you update IBM Java Runtime, your       |
|              |         |        |    changes are lost and you must repeat the steps.               |
|              |         |        | 2. Download the IBM Java Runtime, Version 8 package for your     |
|              |         |        |    edition (Standard, Enterprise, or Advanced) and operating     |
|              |         |        |    system from Fix Central: interim fix                          |
|              |         |        |    9.0.0.9-WS-WatsonExplorer-<Edition>Foundational-<OS>          |
|              |         |        |    -7.1SR4FP30 or later (for example,                            |
|              |         |        |    9.0.0.9-WS-WatsonExplorer-EEFoundational-Linux-7.1SR4FP35).   |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java       |
|              |         |        |    Runtime.                                                      |
|--------------+---------+--------+------------------------------------------------------------------|
|Affected      |Affected |Required|How to acquire and apply the fix                                  |
|Product       |Versions |IBM Java|                                                                  |
|              |         |Runtim  |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |         |        |                                                                  |
|Explorer      |         |        |Upgrade to Version 12.0.2.                                        |
|Foundational  |12.0.0.0,|JVM 8   |                                                                  |
|Components    |         |SR5 FP20|See Watson Explorer Version 12.0.2 Foundational Components for    |
|Annotation    |12.0.1   |or later|download information and instructions.                            |
|Administration|         |        |                                                                  |
|Console       |         |        |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2.4.                                      |
|Explorer      |11.0.0.3,|SR5 FP20|                                                                  |
|Foundational  |11.0.1,  |or later|See Watson Explorer Version 11.0.2.4 Foundational Components for  |
|Components    |11.0.2,  |        |download information and instructions.                            |
|Annotation    |11.0.2.1 |        |                                                                  |
|Administration|-        |        |                                                                  |
|Console       |11.0.2.3 |        |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |10.0 -   |JVM 7   | 1. If you have not already installed, install V10.0 Fix Pack 5   |
|Explorer      |10.0.0.5 |SR10    |    (see the Fix Pack download document). If you upgrade to       |
|Foundational  |         |FP30 or |    Version 10.0.0.5 after you update IBM Java Runtime, your      |
|Components    |         |later   |    changes are lost and you must repeat the steps.               |
|Annotation    |         |        | 2. Download the IBM Java Runtime, Version 8 package for your     |
|Administration|         |        |    edition (Standard, Enterprise, or Advanced) and operating     |
|Console       |         |        |    system from Fix Central: interim fix                          |
|              |         |        |    10.0.0.5-WS-WatsonExplorer-<Edition>Foundational-<OS>-8SR5FP20|
|              |         |        |     or later (for example,                                       |
|              |         |        |    10.0.0.5-WS-WatsonExplorer-EEFoundational-Linux-8SR5FP25).    |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java       |
|              |         |        |    Runtime.                                                      |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2.4.                                      |
|Explorer      |11.0.0.3,|SR5 FP15|                                                                  |
|Analytical    |11.0.1,  |or later|See Watson Explorer Version 11.0.2.4 Analytical Components for    |
|Components    |11.0.2,  |        |download information and instructions.                            |
|              |11.0.2.1 |        |                                                                  |
|              |-        |        |                                                                  |
|              |11.0.2.3 |        |                                                                  |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |10.0 -   |JVM 7   | 1. If you have not already installed, install V10.0 Fix Pack 2   |
|Explorer      |10.0.0.2 |SR10    |    (see the Fix Pack download document). If you upgrade to       |
|Analytical    |         |FP30 or |    Version 10.0.0.2 after you update IBM Java Runtime, your      |
|Components    |         |later   |    changes are lost and you must repeat the steps.               |
|              |         |        | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) |
|              |         |        |    and 64-bit packages of IBM Java Runtime, Version 7 package for|
|              |         |        |    your edition (Enterprise or Advanced) and operating system    |
|              |         |        |    from Fix Central: interim fix 10.0.0.2-WS-WatsonExplorer-     |
|              |         |        |    <Edition>Analytical-<OS>[32|31]-7SR10FP30 or later. For       |
|              |         |        |    example,                                                      |
|              |         |        |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux-7SR10FP35 and   |
|              |         |        |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux32-7SR10FP35.    |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java       |
|              |         |        |    Runtime.                                                      |
|              |         |        | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar                    |
|              |         |        |    to activation.jar.orig if the file exists.                    |
|--------------+---------+--------+------------------------------------------------------------------|
|IBM Watson    |3.5 -    |JVM 7   | 1. If you have not already installed, install V3.5 Fix Pack 4    |
|Content       |3.5.0.4  |SR10    |    (see the Fix Pack download document). If you upgrade to       |
|Analytics     |         |FP30 or |    Version 3.5.0.4 after you update IBM Java Runtime, your       |
|              |         |later   |    changes are lost and you must repeat the steps.               |
|              |         |        | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) |
|              |         |        |    and 64-bit packages of IBM Java Runtime, Version 7 for IBM    |
|              |         |        |    Watson Explorer Advanced Edition and your operating system    |
|              |         |        |    from Fix Central: interim fix 3.5.0.4-WT-WCA-<OS>[32|31]      |
|              |         |        |    -7SR10FP30 or later (for example,                             |
|              |         |        |    3.5.0.4-WT-WCA-Linux32-7SR10F30 and                           |
|              |         |        |    3.5.0.4-WT-WCA-Linux-7SR10FP35).                              |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java       |
|              |         |        |    Runtime.                                                      |
|              |         |        | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar to                 |
|              |         |        |    activation.jar.orig if the file exists.                       |
+----------------------------------------------------------------------------------------------------+

Workarounds and Mitigations

None

Change History

15 November 2018 : Original version published

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXASEGWaOgq3Tt24GAQiI9Q//eb3bmNBrFJVU5rjKOSltYRA2AvGr04ug
EOMDWjQbHk0lj9SFE+N+6CvI4lERKcH/u1Mt4nu+dOXv4Ajk31aO9mEiQC1Mf+wW
ZLJoJcXy5MufojwWWkzA1dfGwyW/6clphYA2U8ifJHDjCMNZv5aqhUQxz5+csYa1
9DOhcOaLQ6yvb83q/44SK/EMxuVl411RB/OtguguWvItW0cyTdZxpC3hsu/OwIDJ
4ihyOcRgbgXFE6cf3ZFD6HdNlmdPSrxmpfTJrJM88QISH81/JgkoJpppRf5p/oa2
vTc1vFhgv98Wv/MoHnDY0KZMYoNdLohCO6W8wXoMs2ZUpx43qAjHjP3OxK8+O+kR
yNQd4HWE+2ExtkTLJhKISM1x7VImjFAlFr8FoOVFaoaRIjO8rM33wGOUwxL6lxPc
pzQDSp3zVok3/MVh2ZrxQHWxCI4IW9+/34by58dHl+xdXQSfl9uXME+5idzFC/sS
I2a1xOt4jjUwxO+3o41unhehZ2xofuLAQmleE1uoTa9cPjutZNsfe8SmAfhxd939
QBfPJlKaVavvFc5tTX+0H9y8c1/FZGRbnu9mgpCwsujHBuVmEQK2vLC4K0XKvQbx
AK2QPBNOkwApneaQqSxiq1ukAF5Q1g6eme1t5/y4SfMQmLSX2M8Mc2R1GGemgK5q
IRULQ2jTm5k=
=ZltQ
-----END PGP SIGNATURE-----

« Back to bulletins